Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất trên 16/09/2021 trong tất cả các lĩnh vực

  1. 1 điểm
    Mình thấy các bạn yêu cầu thì đưa ra các trường hợp thật lý tưởng, xong có người viết rồi thì lại áp dụng vào thực tế toàn trên trời rơi xuống. Thật khổ cho người nào hỗ trợ. Bạn nên đưa file thực tế của bạn đang làm rồi nhờ người nào đó có thể hỗ trợ hoặc gửi họ ít phí họ hỗ trợ luôn
  2. 1 điểm
    Bạn thử xem được không nhé! Yêu cầu cài Cad full (có tool express) (defun C:00 (/ LTSG LTSLINE PNTMAX PNTMIN SSLINE) (defun *error* (msg) (if Olmode (setvar 'osmode Olmode) ) (if (not (member msg '("*BREAK,*CANCEL*,*EXIT*"))) (princ (strcat "\nError: " msg)) ) (princ) ) (setq Olmode (getvar "OSMODE")) (setvar "OSMODE" 0) (setvar "CMDECHO" 0) (setq ssLine (ssget (list (cons 0 "LINE,LWPOLYLINE,POLYLINE")))) (if ssLine (progn (setq LtsLine (acet-ss-to-list ssLine)) (setq LtsG (LM:IntersectionsinList LtsLine)) (if (= (length LtsG) 4) (progn (setq PntMin (list (apply 'min (mapcar 'car LtsG)) (apply 'min (mapcar 'cadr LtsG)))) (setq PntMax (list (apply 'max (mapcar 'car LtsG)) (apply 'max (mapcar 'cadr LtsG)))) (command "rectang" PntMin PntMax) (vla-put-color (vlax-ename->vla-object (entlast)) 1) ) ) ) ) (setvar "OSMODE" Olmode) (princ) ) (defun LM:Intersections (obj1 obj2 mode / l r) (setq l (vlax-invoke obj1 'intersectwith obj2 mode)) (repeat (/ (length l) 3) (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l) ) ) (reverse r) ) (defun LM:IntersectionsinList (lst / a l) (while (setq a (car lst)) (foreach b (setq lst (cdr lst)) (setq l (cons (LM:Intersections (vlax-ename->vla-object a) (vlax-ename->vla-object b) acextendnone ) l ) ) ) ) (apply 'append (reverse l)) )
  3. -1 điểm
    Bạn có thể cho mình xin lisp được ko.
  4. -1 điểm
    Có bác nào có lisp này không ạ. Có thể share hoặc bán cho em để em phục vụ công việc ạ. Cám ơn các bác nhiều ạ. Mail em là quyetutt@gmail.com, nếu bác nào có thì cho em xin ạ.
  5. -2 điểm
    em đã dùng thử. Muốn đưa Tex sau 2 dấu phẩu thì sửa ntn vậy? Cảm ơn| day rut nhua
  6. -3 điểm
    Cảm ơn bạn nhiều. Tuy nhiên lisp của bạn chỉ đúng với các đường song song thẳng đứng, nằm ngang vuông góc với nhau, lại không thể dùng cho các đường thẳng chéo nhau. (các vùng kín hợp với nhau có thể tạo thành đa giác nhiều hơn 4 cạnh hoặc hình thoi, hình thang, tam giác ....)
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×